package org.apache.ws.jaxme.generator.sg.impl;

import org.apache.ws.jaxme.generator.Generator;
import org.apache.ws.jaxme.generator.sg.Context;
import org.apache.ws.jaxme.generator.sg.Facet;
import org.apache.ws.jaxme.generator.sg.GroupSG;
import org.apache.ws.jaxme.generator.sg.ObjectSG;
import org.apache.ws.jaxme.generator.sg.SGFactory;
import org.apache.ws.jaxme.generator.sg.SGFactoryChain;
import org.apache.ws.jaxme.generator.sg.SchemaSG;
import org.apache.ws.jaxme.generator.sg.TypeSG;
import org.apache.ws.jaxme.xs.XSAny;
import org.apache.ws.jaxme.xs.XSElement;
import org.apache.ws.jaxme.xs.XSEnumeration;
import org.apache.ws.jaxme.xs.XSGroup;
import org.apache.ws.jaxme.xs.XSObjectFactory;
import org.apache.ws.jaxme.xs.XSParser;
import org.apache.ws.jaxme.xs.XSSchema;
import org.apache.ws.jaxme.xs.XSType;
import org.apache.ws.jaxme.xs.xml.XsObjectFactory;
import org.apache.ws.jaxme.xs.xml.XsQName;
import org.xml.sax.SAXException;


public class SGFactoryChainImpl implements SGFactoryChain {
  private SGFactoryChain backingObject;


  protected SGFactoryChainImpl(SGFactoryChain o) {
    if (o == null) {
      throw new NullPointerException("The supplied object must not be null.");
    }
    backingObject = o;
  }

  public GroupSG[] getGroups(SGFactory pController) {
     return backingObject.getGroups(pController);
  }

  public TypeSG getTypeSG(SGFactory pController, XSType p0, XsQName p1) throws SAXException {
     return backingObject.getTypeSG(pController, p0, p1);
  }

  public TypeSG getTypeSG(SGFactory pController, XSType p0, Context p1, XsQName p2) throws SAXException {
     return backingObject.getTypeSG(pController, p0, p1, p2);
  }

  public TypeSG getTypeSG(SGFactory pController, XSType p0) throws SAXException {
     return backingObject.getTypeSG(pController, p0);
  }

  public GroupSG getGroupSG(SGFactory pController, XSGroup p0, Context p1) throws SAXException {
     return backingObject.getGroupSG(pController, p0, p1);
  }

  public GroupSG getGroupSG(SGFactory pController, XSGroup p0) throws SAXException {
     return backingObject.getGroupSG(pController, p0);
  }

  public ObjectSG getObjectSG(SGFactory pController, XSAny p0, Context p1) throws SAXException {
     return backingObject.getObjectSG(pController, p0, p1);
  }

  public ObjectSG getObjectSG(SGFactory pController, XSElement p0, Context p1) throws SAXException {
     return backingObject.getObjectSG(pController, p0, p1);
  }

  public ObjectSG getObjectSG(SGFactory pController, XSElement p0) throws SAXException {
     return backingObject.getObjectSG(pController, p0);
  }

  public TypeSG[] getTypes(SGFactory pController) {
     return backingObject.getTypes(pController);
  }

  public ObjectSG[] getObjects(SGFactory pController) {
     return backingObject.getObjects(pController);
  }

  public Generator getGenerator(SGFactory pController) {
     return backingObject.getGenerator(pController);
  }

  public XsObjectFactory newXsObjectFactory(SGFactory pController) throws SAXException {
     return backingObject.newXsObjectFactory(pController);
  }

  public XSObjectFactory newXSObjectFactory(SGFactory pController) throws SAXException {
     return backingObject.newXSObjectFactory(pController);
  }

  public Object newSchemaSG(SGFactory pController, XSSchema p0) throws SAXException {
     return backingObject.newSchemaSG(pController, p0);
  }

  public SchemaSG getSchemaSG(SGFactory pController, XSSchema p0) throws SAXException {
     return backingObject.getSchemaSG(pController, p0);
  }

  public SchemaSG getSchemaSG(SGFactory pController) {
     return backingObject.getSchemaSG(pController);
  }

  public Object newObjectSG(SGFactory pController, XSAny p0) {
     return backingObject.newObjectSG(pController, p0);
  }

  public Object newObjectSG(SGFactory pController, XSElement p0, Context p1) throws SAXException {
     return backingObject.newObjectSG(pController, p0, p1);
  }

  public Object newObjectSG(SGFactory pController, XSElement p0) throws SAXException {
     return backingObject.newObjectSG(pController, p0);
  }

  public GroupSG newGroupSG(SGFactory pController, XSGroup p0) throws SAXException {
     return backingObject.newGroupSG(pController, p0);
  }

  public GroupSG newGroupSG(SGFactory pController, XSGroup p0, Context p1) throws SAXException {
     return backingObject.newGroupSG(pController, p0, p1);
  }

  public Object newTypeSG(SGFactory pController, XSType p0) throws SAXException {
     return backingObject.newTypeSG(pController, p0);
  }

  public Object newTypeSG(SGFactory pController, XSType p0, Context p1, XsQName p2) throws SAXException {
     return backingObject.newTypeSG(pController, p0, p1, p2);
  }

  public Object newTypeSG(SGFactory pController, XSType p0, XsQName p1) throws SAXException {
     return backingObject.newTypeSG(pController, p0, p1);
  }

  public XSParser newXSParser(SGFactory pController) throws SAXException {
     return backingObject.newXSParser(pController);
  }

  public Facet newFacet(SGFactory pController, XSType p0, XSEnumeration[] p1) throws SAXException {
     return backingObject.newFacet(pController, p0, p1);
  }

  public void init(SGFactory pController) {
    backingObject.init(pController);
  }

}
